import * as React from 'react';
import * as InternalRedux from '../../Redux/ActionsReducers/InternalRedux';
import { ModuleViewPopupProps } from '../Components/SharedProps/ModuleViewPopupProps';
import { SystemStatusMessageInfo } from '../../types';
interface SystemStatusPopupProps extends ModuleViewPopupProps<SystemStatusPopupComponent> {
    SystemStatusMessageInfos: SystemStatusMessageInfo[];
    SystemStatusMessages: SystemStatusMessageInfo[];
    onSystemStatusMessageInfoDeleteAll: () => InternalRedux.SystemStatusMessageInfoDeleteAllAction;
}
interface SystemStatusPopupState {
}
declare class SystemStatusPopupComponent extends React.Component<SystemStatusPopupProps, SystemStatusPopupState> {
    constructor(props: SystemStatusPopupProps);
    onSystemStatusMessageInfoDeleteAll(): void;
    render(): React.JSX.Element;
}
export declare let SystemStatusPopup: import("react-redux").ConnectedComponent<typeof SystemStatusPopupComponent, {
    [x: string]: any;
}>;
export {};
